System.Core 4.0.0.0 System.Runtime.CompilerServices.CallSiteBinder

The performs the binding of the dynamic operation using the runtime values as input. On the other hand, the participates in the binding protocol.

The dynamic call site binder that participates in the binding protocol.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` `` To be added.

  When overridden in the derived class, performs the binding of the dynamic operation.

  The representing the result of the binding.

  The target of the dynamic operation. An array of arguments of the dynamic operation.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` `` `` To be added.

  Performs the runtime binding of the dynamic operation on a set of arguments.

  An Expression that performs tests on the dynamic operation arguments, and performs the dynamic operation if the tests are valid. If the tests fail on subsequent occurrences of the dynamic operation, Bind will be called again to produce a new for the new argument types.

  An array of arguments to the dynamic operation. The array of instances that represent the parameters of the call site in the binding process. A LabelTarget used to return the result of the dynamic binding.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `System.ParamArray` To be added.

  Defers the binding of the operation until later time when the runtime values of all dynamic operation arguments have been computed.

  The representing the result of the binding.

  An array of arguments of the dynamic operation.
- Method
  4.0.0.0
  System.Dynamic.DynamicMetaObject `` `System.ParamArray` To be added.

  Defers the binding of the operation until later time when the runtime values of all dynamic operation arguments have been computed.

  The representing the result of the binding.

  The target of the dynamic operation. An array of arguments of the dynamic operation.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added.

  Gets an expression that will cause the binding to be updated. It indicates that the expression's binding is no longer valid. This is typically used when the "version" of a dynamic object has changed.

  The update expression.

  The property of the resulting expression; any type is allowed.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  The result type of the operation.